#lognormal
postscript("lognormal.ps",width=8,height=8,horizontal=FALSE)
par(bty="n")
m <- 1
v <- 0.7
s <- sqrt(v)
cbind(m,v)
M0 <- m+v/2
exp(M0)
M <- exp(m)
V <- exp(2*m+v)*(exp(v)-1)
z <- seq(-3,10,.1)
f <- dnorm(z,m,s)
plot(z,f,type="l",xlim=c(-2,12),ylim=c(-0.04,.9),
yaxt="n",xlab="",ylab="",cex.lab=1.7)
c <- 0.55
lines(z[z>0],dlnorm(z[z>0],m,s)+c)
abline(h=0)
abline(h=c)
points(m,0,pch=16)
text(0.5,0.02,"mean",cex=.8)
points(M,c,pch=16)
text(1.8,0.02+c,"median",cex=.8)
points(exp(M0),c,pch=16)
text(3.4,0.02+c,"mean",cex=.8)
points(1.5,0)
points(exp(1.5),c)
Z <- seq(1.5,4,.1)
polygon(c(1.5,Z),c(0,dnorm(Z,m,s)),density=20)
polygon(c(exp(1.5),exp(Z)),c(c,dlnorm(exp(Z),m,s)+c),density=20)
arrows(1.5,0.02,exp(1.5),c-0.02,length=.1,lwd=2)
arrows(exp(1.5),c-0.02,1.5,0.02,length=.1,lwd=2)
text(exp(1.75),c-.03,expression(paste(e^1.5," = 4.48")),cex=.85)
text(2.2,-0.03,"1.5 = log(4.48)",cex=.7)
area <- 1-pnorm(1.5,m,s)
text(6.5,.05,"area = probability = 0.275")
text(7.4,c+0.1,"area = probability = 0.275")
text(4.6,c+0.2,"LOG-NORMAL")
text(-1.3,0.3,"NORMAL")
