#weighted.average.r
postscript("weighted.average.ps",width=8,height=8,horizontal=FALSE)
set.seed(777)

#model -- generating x and y data
s <- 1.0
x <- seq(0,5,.1)
n <- length(x)
y <- 15*+0.01*x+0.5*x^2-0.1*x^3
plot(x,y,type="n",ylim=c(-1,3.7))
lines(x,y,lwd=2)
e <- rnorm(n,0,s)
Y <- y+e
points(x,Y,pch="o",cex=0.7)
#estimation
h <- 0.5
fcn <- NULL
for(i in 1:n) {
w <- dnorm(x,x[i],h)
fcn[i] <- sum(w*y)/sum(w)
}
lines(x,fcn,lty=2)
title("Weighted average fit \n cubic model")

#summary plot
par(mfrow=c(2,2))
plot(x,Y,type="n",ylim=c(-1,3.7))
points(x,Y,pch="o",cex=0.7)
title("Data (x/y)")
plot(x,Y,type="n",ylim=c(-1,3.7))
lines(x,y,lwd=2)
title("Cubic Model")
plot(x,Y,type="n",ylim=c(-1,3.7))
lines(x,fcn,lty=2)
title("Estimated fit")
plot(x,Y,type="n",ylim=c(-1,3.7))
points(x,Y,pch="o",cex=0.7)
lines(x,y,lwd=2)
lines(x,fcn,lty=2)
title("All Three Combined")
